PutTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.template.PutTag,PutTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template
Class PutTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.template.PutTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Deprecated. Use Tiles instead.

public class PutTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Tag handler for <template:put>, which puts content into request scope.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  David Geary
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `content` Deprecated. The content's URI (or text).
`private java.lang.String` | `direct` Deprecated. Determines whether content is included (false) or printed (true).
`private java.lang.String` | `name` Deprecated. The content's name.
`private java.lang.String` | `role` Deprecated. The role that the user must be in to store content.

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PutTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated. Use Tiles instead.
`private java.lang.String` | `getActualContent()` Deprecated. Use Tiles instead.
`private javax.servlet.jsp.tagext.TagSupport` | `getAncestor(java.lang.String className)` Deprecated. Use Tiles instead.
`java.lang.String` | `getContent()` Deprecated. Use Tiles instead.
`java.lang.String` | `getDirect()` Deprecated. Use Tiles instead.
`java.lang.String` | `getName()` Deprecated. Use Tiles instead.
`java.lang.String` | `getRole()` Deprecated. Use Tiles instead.
`private boolean` | `hasBody()` Deprecated. Use Tiles instead.
`void` | `release()` Deprecated. Use Tiles instead.
`void` | `setContent(java.lang.String content)` Deprecated. Use Tiles instead.
`void` | `setDirect(java.lang.String direct)` Deprecated. Use Tiles instead.
`void` | `setName(java.lang.String name)` Deprecated. Use Tiles instead.
`void` | `setRole(java.lang.String role)` Deprecated. Use Tiles instead.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### name

    private java.lang.String name

  Deprecated.
  The content's name.

### role

    private java.lang.String role

  Deprecated.
  The role that the user must be in to store content.

### content

    private java.lang.String content

  Deprecated.
  The content's URI (or text).

### direct

    private java.lang.String direct

  Deprecated.
  Determines whether content is included (false) or printed (true). Content is included (false) by default.

Constructor Detail

### PutTag

    public PutTag()

  Deprecated.

Method Detail

### setName

    public void setName(java.lang.String name)

  Deprecated. Use Tiles instead.

  Set the content name.

### setRole

    public void setRole(java.lang.String role)

  Deprecated. Use Tiles instead.

  Parameters:
    `role` - The role the user must be in to store content.

### setContent

    public void setContent(java.lang.String content)

  Deprecated. Use Tiles instead.

  Set the content's URI (if it's to be included) or text (if it's to be printed).

### setDirect

    public void setDirect(java.lang.String direct)

  Deprecated. Use Tiles instead.

  Set direct to true, and content will be printed directly, instead of included (direct == false).

### getName

    public java.lang.String getName()

  Deprecated. Use Tiles instead.

  Get the name attribute.

### getRole

    public java.lang.String getRole()

  Deprecated. Use Tiles instead.

  Get the role attribute.

### getContent

    public java.lang.String getContent()

  Deprecated. Use Tiles instead.

  Get the content attribute.

### getDirect

    public java.lang.String getDirect()

  Deprecated. Use Tiles instead.

  Returns the direct attribute associated with this tag.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Process the end tag by putting content into the enclosing insert tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if this tag is not enclosed by <template:insert>.

### release

    public void release()

  Deprecated. Use Tiles instead.

  Reset member values for reuse. This method calls super.release(), which invokes TagSupport.release(), which typically does nothing.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### getActualContent

    private java.lang.String getActualContent()
                                       throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Returns the content associated with this tag.

    `javax.servlet.jsp.JspException`

### hasBody

    private boolean hasBody()

  Deprecated. Use Tiles instead.

  Returns a boolean indicating whether this tag has a body.

### getAncestor

    private javax.servlet.jsp.tagext.TagSupport getAncestor(java.lang.String className)
                                                     throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Convenience method for locating ancestor tags by class name.

  Parameters:
    `className` - The name of the ancestor class.
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation